using System;

namespace sudarbrojeva
{
    class Program
    {
        static int sudar(int x, int y, int i)
        {
            if (Math.Min(x, y) == 0)        return Math.Max(x, y) * i;
            else
            {
                if (x % 10 > y % 10)        return x % 10 * i + sudar(x / 10, y / 10, i * 10);
                else if(x % 10 < y % 10)    return y % 10 * i + sudar(x / 10, y / 10, i * 10);
                else                        return x % 10 * i + y % 10 * (i * 10) + sudar(x / 10, y / 10, i * 100);
            }
        }
        static void Main(string[] args)
        {
            int x = int.Parse(Console.ReadLine());
            int y = int.Parse(Console.ReadLine());
            Console.WriteLine(sudar(x, y, 1));
        }
    }
}